## WebKitDOMWheelEvent WebKitDOMWheelEvent |

## Functions

void | webkit_dom_wheel_event_init_wheel_event ()
glong | webkit_dom_wheel_event_get_wheel_delta_x ()
glong | webkit_dom_wheel_event_get_wheel_delta_y ()
glong | webkit_dom_wheel_event_get_wheel_delta ()

## Properties

glong | wheel-delta | Read
glong | wheel-delta-x | Read
glong | wheel-delta-y | Read

## Types and Values

struct | WebKitDOMWheelEvent

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMEvent
                ╰── WebKitDOMUIEvent
                    ╰── WebKitDOMMouseEvent
                        ╰── WebKitDOMWheelEvent

## Description

## Functions

### webkit_dom_wheel_event_init_wheel_event ()

    void
    webkit_dom_wheel_event_init_wheel_event
                                   (WebKitDOMWheelEvent *self,
                                    glong wheelDeltaX,
                                    glong wheelDeltaY,
                                    WebKitDOMDOMWindow *view,
                                    glong screenX,
                                    glong screenY,
                                    glong clientX,
                                    glong clientY,
                                    gboolean ctrlKey,
                                    gboolean altKey,
                                    gboolean shiftKey,
                                    gboolean metaKey);

#### Parameters

self | A WebKitDOMWheelEvent |
wheelDeltaX | A glong |
wheelDeltaY | A glong |
view | A WebKitDOMDOMWindow |
screenX | A glong |
screenY | A glong |
clientX | A glong |
clientY | A glong |
ctrlKey | A gboolean |
altKey | A gboolean |
shiftKey | A gboolean |
metaKey | A gboolean |

### webkit_dom_wheel_event_get_wheel_delta_x ()

    glong
    webkit_dom_wheel_event_get_wheel_delta_x
                                   (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A glong

### webkit_dom_wheel_event_get_wheel_delta_y ()

    glong
    webkit_dom_wheel_event_get_wheel_delta_y
                                   (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A glong

### webkit_dom_wheel_event_get_wheel_delta ()

    glong
    webkit_dom_wheel_event_get_wheel_delta
                                   (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A glong

## Types and Values

### struct WebKitDOMWheelEvent

    struct WebKitDOMWheelEvent;

## Property Details

### The `“wheel-delta”` property

      “wheel-delta”              glong

read-only glong WheelEvent:wheel-delta.

Flags: Read

Default value: 0

### The `“wheel-delta-x”` property

      “wheel-delta-x”            glong

read-only glong WheelEvent:wheel-delta-x.

Flags: Read

Default value: 0

### The `“wheel-delta-y”` property

      “wheel-delta-y”            glong

read-only glong WheelEvent:wheel-delta-y.

Flags: Read

Default value: 0